# This file created by conda-build 3.12.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Mon Aug  6 04:03:48 2018
# ------------------------------------------------

package:
    name: gnutls
    version: 3.5.19
source:
    fn: gnutls-3.5.19.tar.xz
    patches:
        - pkgconfig.patch
    sha256: 1936eb64f03aaefd6eb16cef0567457777618573826b94d03376bb6a4afadc44
    url: ftp://ftp.gnutls.org/gcrypt/gnutls/v3.5/gnutls-3.5.19.tar.xz
build:
    number: '1'
    run_exports:
        - gnutls >=3.5.19,<3.6.0a0
    string: h2a4e5f8_1
requirements:
    build:
        - autoconf 2.69 pl526_7
        - automake 1.15.1 pl526_1
        - libgcc-ng 7.2.0 hdf63c60_3
        - libtool 2.4.6 h470a237_1
        - m4 1.4.18 0
        - perl 5.26.2 h470a237_0
        - pkg-config 0.29.2 hf5063d0_2
        - toolchain 2.1.6 0
        - toolchain_c_linux-64 2.1.6 0
        - zlib 1.2.11 h470a237_3
    host:
        - gmp 6.1.2 hfc679d8_0
        - libgcc-ng 7.2.0 hdf63c60_3
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - nettle 3.3 0
        - zlib 1.2.11 h470a237_3
    run:
        - gmp >=6.1.2,<7.0a0
        - libgcc-ng >=4.9
        - nettle >=3.3,<3.4.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - conda inspect linkages -p $PREFIX gnutls
        - test -f ${PREFIX}/lib/libgnutls.so
        - test -f ${PREFIX}/lib/libgnutlsxx.so
about:
    dev_url: https://gitlab.com/gnutls/gnutls/tree/master
    doc_url: http://www.gnutls.org/documentation.html
    home: http://www.gnutls.org/index.html
    license: GPL 2.1
    license_family: GPL
    license_file: LICENSE
    summary: GnuTLS is a secure communications library implementing the SSL, TLS and
        DTLS protocols
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - sachalau
        - sdvillal
